import { User } from '../common.js'

function elements(el) {
    return {
        elLoggedLabel: el.querySelector('.logged-label'),
        elLoginLabel: el.querySelector('.login-label'),
        elLogoutLabel: el.querySelector('.logout-label'),
        elLogoutButton: el.querySelector('.logout-button'),
    }
}

function setup(el) {
    const { elLogoutButton } = elements(el)

    elLogoutButton.addEventListener('click', () => User.logout())
}

function update(el, { user }) {
    const { elLoggedLabel, elLoginLabel, elLogoutLabel } = elements(el)

    elLoginLabel.classList.toggle('hidden', user)

    const roleString =
        user && user.permissions.length > 0 ? ` (${user.permissions.join(', ')})` : ''

    elLoggedLabel.innerText = user ? `@${user.id}${roleString}` : ''

    elLoggedLabel.classList.toggle('hidden', !user)
    elLogoutLabel.classList.toggle('hidden', !user)
}

export function createNavUser(el) {
    setup(el)

    // Load current user
    ;(async () => {
        const user = await User.getLogged()
        update(el, { user })
    })()
}
