import '../common'

import { createGridLineCanvas } from '../components/grid-lines'
import { BASE_URL } from '../common'
import { createSeatWidget } from '../components/seats-widget'
import { createClock } from '../components/clock'
import { attachTooltip } from '../components/tooltip'
import { createNavUser } from '../components/nav-user.js'

const elClock = document.querySelector('#clock')

const elNavUser = document.querySelector('#nav-user')

const elRoomGrid = document.querySelector('.room-grid')

async function main() {
    const urlSearchParams = new URLSearchParams(window.location.search)
    const params = Object.fromEntries(urlSearchParams.entries())
    console.log(params)

    // Widgets
    // createClock(elClock)
    createGridLineCanvas(elRoomGrid)
    createSeatWidget(elRoomGrid, 'aula-stud')

    createNavUser(elNavUser)

    // Use tooltips only on desktop
    if (matchMedia('(pointer: fine)').matches) {
        attachTooltip()
    }
}

main()
